From: Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>
Date: Sat, 11 Dec 2021 16:02:07 +0000
Subject: s5k3l6xx: Make default crop size static

That it was not static was a bug, going against the docs.
---
 drivers/media/i2c/s5k3l6xx.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index f3c40dd..1652ddaf4 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -977,7 +977,6 @@ static int s5k3l6xx_get_selection(struct v4l2_subdev *sd,
 	// If no, then it can be independent of mode (frame format).
 	switch (sel->target) {
 	case V4L2_SEL_TGT_CROP:
-	case V4L2_SEL_TGT_CROP_DEFAULT:
 		mutex_lock(&state->lock);
 		switch (sel->which) {
 		case V4L2_SUBDEV_FORMAT_TRY:
@@ -989,6 +988,7 @@ static int s5k3l6xx_get_selection(struct v4l2_subdev *sd,
 		}
 		mutex_unlock(&state->lock);
 		return 0;
+	case V4L2_SEL_TGT_CROP_DEFAULT:
 	case V4L2_SEL_TGT_CROP_BOUNDS:
 	case V4L2_SEL_TGT_NATIVE_SIZE:
 		sel->r.top = 0;
